'use strict';

const settings = require('./../../settings');
const domePages = require('./../../node_modules/gxd-vue-library/src/router/dome');

let layout = ()=>{
  if(settings.layout && typeof settings.layout === 'function') {
    return settings.layout;
  }
  else throw new Error('请配置layout页面vue')
};

let domeRouter = {
  path: '/dome',
  component: layout(),
  children: [],
  meta: {title: '测试插件（生产模式不显示）', icon: 'xdicon_kaifa'},
};

let subChildren = [];
domePages(settings).map((item,index) =>{
  let child = item.children[0];
  if(index === 0) {
    domeRouter.redirect = `/dome/${child.path}`;
  }
  subChildren.push(child);
});

domeRouter.children = subChildren;

if(process.env.NODE_ENV === 'production') {
  domeRouter = null;
}

module.exports = domeRouter;




