'use strict'

module.exports = {
  name: 'tasks',
  title: '任务管理',
  vuex: true,
  model: [
    {
      mapFn: 'getAsyncList',
      isRule: false,
      title: '获取任务列表',
      // #ifdef admin partner partner-stat oa-finance supplier
      path: '/@@@@/v1/async/list',
      // #endif
      //#ifdef partner-gift partner-mall partner-movie partner-market
      path: '/@@@@/v1/:xsiteid/:xnamespace/async/list',
      // #endif
      params: {
        page_token: ['页码', 'String', '必选'],
        page_size: ['页长', 'Number', '必选'],
        partner_id: ['加盟商id', 'Number', '非必选'],
      },
      disabled: true,
      role: '@@@@.@@@@@.SYSTEM_TASKS_LIST',
    },
    {
      mapFn: 'asyncRetry',
      isRule: false,
      title: '任务query',
      // #ifdef admin partner partner-stat oa-finance supplier
      path: '/@@@@/v1/async/retry',
      // #endif
      // #ifdef partner-gift partner-mall partner-movie partner-market
      path: '/@@@@/v1/:xsiteid/:xnamespace/async/retry',
      // #endif
      params: {
        serial_no: ['id', 'String', '必选'],
      },
      disabled: true,
      // #ifdef  admin
      role: 'ROLE_ADMIN_SYSTEM_TASKS_AGAIN',
      // #endif
      // #ifndef  admin
      role: '',
      // #endif

    },

  ],
}


